JobsOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:jobs> attribute.

Inheritance
builtins.object
JobsOperations

Constructor

JobsOperations(*args, **kwargs)

Methods

cancel_job

Cancel Job.

Cancel a Job.

create

Create Job.

Creates a Job.

delete

Delete Job.

Deletes a Job.

get

Get Job.

Gets a Job.

list

List Jobs.

Lists all of the Jobs for the Transform.

update

Update Job.

Update is only supported for description and priority. Updating Priority will take effect when the Job state is Queued or Scheduled and depending on the timing the priority update may be ignored.

cancel_job

Cancel Job.

Cancel a Job.

async cancel_job(resource_group_name: str, account_name: str, transform_name: str, job_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

job_name
str
Required

The Job name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

create

Create Job.

Creates a Job.

async create(resource_group_name: str, account_name: str, transform_name: str, job_name: str, parameters: azure.mgmt.media.models._models_py3.Job, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Job

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

job_name
str
Required

The Job name.

parameters
Job
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

Job, or the result of cls(response)

Return type

Job

Exceptions

delete

Delete Job.

Deletes a Job.

async delete(resource_group_name: str, account_name: str, transform_name: str, job_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

job_name
str
Required

The Job name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get Job.

Gets a Job.

async get(resource_group_name: str, account_name: str, transform_name: str, job_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Job

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

job_name
str
Required

The Job name.

cls
callable

A custom type or function that will be passed the direct response

Returns

Job, or the result of cls(response)

Return type

Job

Exceptions

list

List Jobs.

Lists all of the Jobs for the Transform.

list(resource_group_name: str, account_name: str, transform_name: str, filter: Optional[str] = None, orderby: Optional[str] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.JobCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

filter
str
Required

Restricts the set of items returned. Default value is None.

orderby
str
Required

Specifies the key by which the result collection should be ordered. Default value is None.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either JobCollection or the result of cls(response)

Return type

Exceptions

update

Update Job.

Update is only supported for description and priority. Updating Priority will take effect when the Job state is Queued or Scheduled and depending on the timing the priority update may be ignored.

async update(resource_group_name: str, account_name: str, transform_name: str, job_name: str, parameters: azure.mgmt.media.models._models_py3.Job, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Job

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

job_name
str
Required

The Job name.

parameters
Job
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

Job, or the result of cls(response)

Return type

Job

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>